Description: fix for
 "UNIVERSAL->import is deprecated and will be removed in a future perl at ..." (5.20)
 "Error:  UNIVERSAL does not export anything" (5.22)
Origin: vendor
Bug: https://rt.cpan.org/Public/Bug/Display.html?id=103957
Bug-Debian: https://bugs.debian.org/614873
Forwarded: https://rt.cpan.org/Public/Bug/Display.html?id=103957
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2015-05-29

diff --git a/lib/User/Simple.pm b/lib/User/Simple.pm
index 108e93b..16e471b 100644
--- a/lib/User/Simple.pm
+++ b/lib/User/Simple.pm
@@ -170,7 +170,6 @@ terms as Perl.
 use Carp;
 use Date::Calc qw(Today_and_Now Add_Delta_DHMS Delta_DHMS);
 use Digest::MD5 qw(md5_hex);
-use UNIVERSAL qw(isa);
 
 our $AUTOLOAD;
 our $VERSION = '1.45';
@@ -200,7 +199,7 @@ sub new {
     $init{debug} = 2 unless defined $init{debug};
     $init{adm_level} = 1 unless defined $init{adm_level};
 
-    unless (defined($init{db}) and isa($init{db}, 'DBI::db')) {
+    unless (defined($init{db}) and $init{db}->isa('DBI::db')) {
 	carp "Mandatory db argument must be a valid (DBI) database handle";
 	return undef;
     }
diff --git a/lib/User/Simple/Admin.pm b/lib/User/Simple/Admin.pm
index 1b25545..14303e3 100644
--- a/lib/User/Simple/Admin.pm
+++ b/lib/User/Simple/Admin.pm
@@ -209,7 +209,6 @@ terms as Perl.
 
 use Carp;
 use Digest::MD5 qw(md5_hex);
-use UNIVERSAL qw(isa);
 our $AUTOLOAD;
 
 ######################################################################
@@ -222,7 +221,7 @@ sub new {
     $table = shift;
 
     # Verify we got the right arguments
-    unless (isa($db, 'DBI::db')) {
+    unless ($db->isa('DBI::db')) {
 	carp "First argument must be a DBI connection";
 	return undef;
     }
